Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039916
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersminoralways2019-01-10 15:362019-03-05 09:36
ReporterguillermogilView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf675e51ec84d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039916: org.openbravo.retail.giftcards.synchronization has java warnings

Descriptionorg.openbravo.retail.giftcards.synchronization has java warnings
Description Resource Path Location Type
SQLQuery is a raw type. References to generic type SQLQuery<T> should be parameterized GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 129 Java Problem
SQLQuery is a raw type. References to generic type SQLQuery<T> should be parameterized GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 141 Java Problem
SQLQuery is a raw type. References to generic type SQLQuery<T> should be parameterized GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 151 Java Problem
SQLQuery is a raw type. References to generic type SQLQuery<T> should be parameterized GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 160 Java Problem
SQLQuery is a raw type. References to generic type SQLQuery<T> should be parameterized GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 185 Java Problem
SQLQuery is a raw type. References to generic type SQLQuery<T> should be parameterized GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 197 Java Problem
The method setString(String, String) from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 134 Java Problem
The method setString(String, String) from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 143 Java Problem
The method setString(String, String) from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 153 Java Problem
The method setString(String, String) from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 165 Java Problem
The method setString(String, String) from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 190 Java Problem
The method setString(String, String) from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 202 Java Problem
The method uniqueResult() from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 135 Java Problem
The method uniqueResult() from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 144 Java Problem
The method uniqueResult() from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 154 Java Problem
The method uniqueResult() from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 166 Java Problem
The method uniqueResult() from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 191 Java Problem
The method uniqueResult() from the type Query is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 203 Java Problem
The type SQLQuery<T> is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 28 Java Problem
The type SQLQuery<T> is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 129 Java Problem
The type SQLQuery<T> is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 141 Java Problem
The type SQLQuery<T> is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 151 Java Problem
The type SQLQuery<T> is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 160 Java Problem
The type SQLQuery<T> is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 185 Java Problem
The type SQLQuery<T> is deprecated GiftCardRouter.java /openbravo/modules/org.openbravo.retail.giftcards.synchronization/src/org/openbravo/retail/giftcards/synchronization line 197 Java Problem
Steps To ReproduceInstall org.openbravo.retail.giftcards.synchronization in 19Q1
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109326)
mtaal (manager)
2019-01-30 12:52

Hi,
Yes, the same gift card module is also being used at BUT currently which uses older hibernate. An idea can be to have separate repo for the previous release to resolve this in a new repo for 19q1 (or the other way around).

grt. Martin
(0109331)
guillermogil (manager)
2019-01-30 14:02

Hi Martin, this will be the standard module, in case a client uses it will be needed to fix a previous version or create a branch for current version.
Regards
(0109911)
hgbot (developer)
2019-02-18 16:52

Repository: erp/pmods/org.openbravo.retail.giftcards.synchronization
Changeset: f675e51ec84d4c156c75dcb5d6d149df7b77fbd4
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Feb 18 16:52:24 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards.synchronization/rev/f675e51ec84d4c156c75dcb5d6d149df7b77fbd4 [^]

Fixes issue 39916: org.openbravo.retail.giftcards.synchronization has java warnings
Use new hibernate api to resolve warnings

---
M src/org/openbravo/retail/giftcards/synchronization/GiftCardRouter.java
---
(0110218)
AugustoMauch (developer)
2019-03-05 09:36

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2019-01-10 15:36 guillermogil New Issue
2019-01-10 15:36 guillermogil Assigned To => Retail
2019-01-10 15:36 guillermogil Triggers an Emergency Pack => No
2019-01-25 13:44 mtaal Assigned To Retail => mtaal
2019-01-30 12:52 mtaal Note Added: 0109326
2019-01-30 14:02 guillermogil Note Added: 0109331
2019-02-18 16:52 mtaal Review Assigned To => AugustoMauch
2019-02-18 16:52 hgbot Checkin
2019-02-18 16:52 hgbot Note Added: 0109911
2019-02-18 16:52 hgbot Status new => resolved
2019-02-18 16:52 hgbot Resolution open => fixed
2019-02-18 16:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards.synchronization/rev/f675e51ec84d4c156c75dcb5d6d149df7b77fbd4 [^]
2019-03-05 09:36 AugustoMauch Note Added: 0110218
2019-03-05 09:36 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker